BondIterator
Date: 2019-10-22

org.jmol.adapter.smarter

## Class BondIterator

- java.lang.Object
- - org.jmol.api.JmolAdapterBondIterator
  - - org.jmol.adapter.smarter.BondIterator

-     class BondIterator
      extends JmolAdapterBondIterator

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private Bond` | `bond`
    `private int` | `bondCount`
    `private Bond[]` | `bonds`
    `private javajs.util.BS` | `bsAtoms`
    `private int` | `ibond`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BondIterator(AtomSetCollection asc)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `getAtomUniqueID1()`
    `java.lang.Object` | `getAtomUniqueID2()`
    `short` | `getColix()`
    `int` | `getEncodedOrder()`
    `float` | `getRadius()`
    `boolean` | `hasNext()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### bsAtoms

          private javajs.util.BS bsAtoms

    - #### bonds

          private Bond[] bonds

    - #### ibond

          private int ibond

    - #### bond

          private Bond bond

    - #### bondCount

          private int bondCount

  - ### Constructor Detail

    - #### BondIterator

          BondIterator(AtomSetCollection asc)

      Parameters:
        `asc` -

  - ### Method Detail

    - #### hasNext

          public boolean hasNext()

      Specified by:
        `hasNext` in class `JmolAdapterBondIterator`

    - #### getAtomUniqueID1

          public java.lang.Object getAtomUniqueID1()

      Specified by:
        `getAtomUniqueID1` in class `JmolAdapterBondIterator`

    - #### getAtomUniqueID2

          public java.lang.Object getAtomUniqueID2()

      Specified by:
        `getAtomUniqueID2` in class `JmolAdapterBondIterator`

    - #### getEncodedOrder

          public int getEncodedOrder()

      Specified by:
        `getEncodedOrder` in class `JmolAdapterBondIterator`

    - #### getRadius

          public float getRadius()

      Specified by:
        `getRadius` in class `JmolAdapterBondIterator`

    - #### getColix

          public short getColix()

      Specified by:
        `getColix` in class `JmolAdapterBondIterator`